@import url("/import/css/_root.css");
@import url("/import/css/_top-menu.css");
@import url("/import/css/_header-default.css");
@import url("/import/css/__main-default.css");
@import url("/import/css/__dla-kogo.css");
@import url("/import/css/_footer.css");

header
{
    background-image: url("/import/grafika/tlo/zeucore_niebieski_bg.jpg");
}

.nav_pc #_tm_w_o_serwerze
{
    color: #fff;
    border-bottom: 1px solid var(--color-main);
}
.nav_pc #_tm_r_serwerowe::before
{
    content: "";
    display: block;
    position: absolute;
    width: calc(100% - 30px);
    height: 2px;
    background-color: var(--color-main);
}
.nav_pc #_tm_r_serwerowe span
{
    color: #323232;
}

.mobile_menu #_tm_w_o_serwerze
{
    background: var(--tlo-jasny-szary) !important;
    color: var(--color-main);
}
.mobile_menu #_tm_w_o_serwerze i
{
    color: var(--color-main);
}
.mobile_menu #_tm_r_serwerowe
{
    background: var(--tlo-jasny-szary) !important;
    color: var(--color-main) !important;
}

.f_teamspeak
{
    text-decoration: underline;
    text-decoration-color: var(--color-main);
}

/* Main naglowek */
.main_naglowek h3
{
    font-family: "Montserrat", sans-serif;
    font-size: 26px;
    font-weight: 600;
    line-height: 40px;
    text-transform: uppercase;
    text-align: center;
    color: var(--tekst-szary-2);
}
.main_naglowek .podkreslenie_hr_h3
{
    margin-left: auto;
    margin-right: auto;
}

/*  */
.grid_2
{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}
.grid_3
{
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
}

.r_c_m
{
    margin: 7px 0 7px 12px;
}
.ranga_content h3
{
    font-family: "Montserrat", sans-serif;
    font-size: 24px;
    font-weight: 500;
    text-transform: capitalize;
}
.ranga_content hr
{
    width: 100%;
    height: 1px;
    margin-top: 10px;
    margin-bottom: 10px;
    background: var(--podkreslenie-jasny-szary-2);
}
.ranga_content .h4_ranga
{
    display: flex;
    align-items: center;
    gap: 4px;
    font-family: "Montserrat", sans-serif;
    font-size: 21px;
    font-weight: 500;
    color: var(--tekst-czarny-1);
}
.ranga_content .h4_ranga img
{
    width: 16px;
    height: auto;
}
.ranga_content .opis_rangi
{
    font-family: "Montserrat", sans-serif;
    font-size: 14px;
    font-weight: 600;
    color: var(--tekst-czarny-1);
}
.ranga_content .opis_permisja
{
    margin-bottom: 10px;
    font-family: "Montserrat", sans-serif;
    font-size: 14px;
    font-weight: 500;
    color: var(--tekst-szary-2);
}
.ranga_content li
{
    margin: 7px 0 7px 12px;
    list-style: disc;
    font-family: "Montserrat", sans-serif;
    font-size: 15px;
    font-weight: 600;
    color: var(--tekst-szary-2);
}
.ranga_container
{
    margin-top: 30px;
}
.ranga_container h4
{
    font-family: "Montserrat", sans-serif;
    font-size: 20px;
    font-weight: 500;
}
.ranga_content .permisja li
{
    font-size: 14px;
    font-weight: 500;
    color: var(--tekst-szary-2);
}

@media(max-width: 649px)
{
    .grid_2
    {
        grid-template-columns: repeat(1, 1fr);
        text-align: center;
    }
    .grid_2 li
    {
        text-align: left;
    }
    .grid_3
    {
        grid-template-columns: repeat(1, 1fr);
        text-align: center;
    }
    .ranga_content .h4_ranga
    {
        justify-content: center;
    }
}
@media(min-width: 650px)
{
    .grid_2
    {
        grid-template-columns: repeat(2, 1fr);
    }
    .grid_3
    {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media(min-width: 990px)
{
    .grid_3
    {
        grid-template-columns: repeat(3, 1fr);
    }
}

.alert
{
    margin-top: 40px;
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    font-weight: 500;
    text-align: center;
    color: var(--color-czerwony);
}
.alert strong
{
    color: var(--color-czerwony);
}

.sekcja_rang
{
    margin: 20px 0;
}

.wszystkie_rangi_content
{
    margin-top: 30px;
}
.sekcja_rang .accordion
{
    width: 100%;
    padding: 10px;
    display: block;
    align-items: center;
    text-align: center;
    position: relative;
    border: 1px solid var(--podkreslenie-jasny-szary);
    border-radius: 5px;
    outline: none;
    background-color: var(--tlo-bialy);
    transition: 0.3s;
    cursor: pointer;
    color: var(--tekst-szary-2);
}
.sekcja_rang .accordion i
{
    top: calc(50% - 10px);
    right: 10px;
    position: absolute;
    transition: 0.3s;
    font-size: 20px;
    color: var(--tekst-szary-2);
}
.sekcja_rang .accordion:hover, .accordion.active
{
    border-color: var(--color-niebieski);
}
.sekcja_rang .accordion.active i
{
    transform: rotate(90deg);
    color: var(--color-niebieski);
}
.sekcja_rang .accordion > div
{
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    font-weight: 400;
}
.sekcja_rang .accordion_panel
{
    max-height: 0;
    padding: 0 18px;
    overflow: hidden;
    transition: max-height 0.3s ease-out;
}
.sekcja_rang .accordion_panel .lista_rang
{
    margin-top: 10px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}
.sekcja_rang .accordion_panel .lista_rang .ranga
{
    width: calc(100% - 10px);
    padding: 4px 0;
    display: flex;
    align-items: center;
    gap: 6px;
    overflow: hidden;
    font-family: "Montserrat", sans-serif;
    font-size: 17px;
}
.sekcja_rang .accordion_panel .lista_rang .ranga img
{
    width: 16px;
    height: auto;
}
.sekcja_rang .accordion_panel .lista_rang .ranga div
{
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

@media(max-width: 459px)
{
    .sekcja_rang .accordion_panel .lista_rang
    {
        grid-template-columns: repeat(1, 1fr);
    }
}
@media(min-width: 460px)
{
    .sekcja_rang .accordion_panel .lista_rang
    {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media(min-width: 800px)
{
    .sekcja_rang .accordion_panel .lista_rang
    {
        grid-template-columns: repeat(3, 1fr);
    }
}
@media(min-width: 1050px)
{
    .sekcja_rang .accordion_panel .lista_rang
    {
        grid-template-columns: repeat(4, 1fr);
    }
}